sshutils.h File Reference

SSH related API. More...

Go to the source code of this file.

## Functions

char * | gvm_ssh_pkcs8_decrypt (const char *, const char *)
| Decrypts a base64 encrypted ssh private key.
char * | gvm_ssh_public_from_private (const char *, const char *)
| Exports a base64 encoded public key from a private key and its passphrase.

## Detailed Description

SSH related API.

## Function Documentation

## gvm_ssh_pkcs8_decrypt()

char * gvm_ssh_pkcs8_decrypt | ( | const char * | pkcs8_key,
|  | const char * | passphrase
| ) |  |

Decrypts a base64 encrypted ssh private key.

Parameters

  [in] | pkcs8_key | PKCS#8 encrypted private key.
  [in] | passphrase | Passphrase for the private key.

Returns
  Decrypted private key if success, NULL otherwise.

## gvm_ssh_public_from_private()

char * gvm_ssh_public_from_private | ( | const char * | private_key,
|  | const char * | passphrase
| ) |  |

Exports a base64 encoded public key from a private key and its passphrase.

Parameters

  [in] | private_key | Private key to export.
  [in] | passphrase | Passphrase for the private key.

Returns
  Allocated base64 encoded public key if success, NULL otherwise.